package com.quant.dao;

import java.util.List;

import com.quant.annotation.MyBatisRepository;
import com.quant.entity.CompanyManager;
import com.quant.entity.Manager;
import com.quant.vo.ManagerRelationVO;
import com.quant.vo.PageVo;

@MyBatisRepository
public interface ManagerMapper extends Mapper  {
	List<ManagerRelationVO> findAllManager();
	void addManager(Manager obj);
	List<ManagerRelationVO> findSimpleManager();
	List<ManagerRelationVO> findSimpleManagerByPage(PageVo pageVo);
	List<ManagerRelationVO> findManagerByCompany(Integer companyId);
	void addCompanyManager(CompanyManager companymanager);
	void modifyManager(Manager manager);
    Integer findRows();
    Integer findMaxManagerId();
}
